summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-09-11 12:08:12 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-09-12 09:30:35 +0200
commit78d7f867dc4fa787c5b5f44de86cd2cc043d3d45 (patch)
tree02f4ea207e9cad8f4321d7633a9f18bf7682fc5d /dev-qt/qtserialport
parentdev-qt/qt-docs: 5.12.5_p201908230013 version bump (diff)
downloadgentoo-78d7f867dc4fa787c5b5f44de86cd2cc043d3d45.tar.gz
gentoo-78d7f867dc4fa787c5b5f44de86cd2cc043d3d45.tar.bz2
gentoo-78d7f867dc4fa787c5b5f44de86cd2cc043d3d45.zip
dev-qt: Add Qt 5.12.5
Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'dev-qt/qtserialport')
-rw-r--r--dev-qt/qtserialport/Manifest1
-rw-r--r--dev-qt/qtserialport/qtserialport-5.12.5.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/dev-qt/qtserialport/Manifest b/dev-qt/qtserialport/Manifest
index e9c717573e7..3494c71a5cc 100644
--- a/dev-qt/qtserialport/Manifest
+++ b/dev-qt/qtserialport/Manifest
@@ -1,2 +1,3 @@
DIST qtserialport-everywhere-src-5.12.3.tar.xz 302740 BLAKE2B 105999b369422c4e819c85bdcb2899eff2af9c8486ea485bf89f6b1fbe0d78c8760b52e06942145f7a0ad54c0a25ee504d9b3833536af3cfd88a2efeebda5b31 SHA512 42551b74abe1fcaa1972fb1134215987d7c1d0fe73874a4c6ad5b9aadad71a2066a1846c297569bb1562f94e54a406e8074d444deca510a566e27cd386b47ecf
DIST qtserialport-everywhere-src-5.12.4.tar.xz 302892 BLAKE2B cc04f0bbdb201e9b202f74eb3c40e60b87234937dcdd7593fd4558344c60d7987daf44809026ea25b314d3f3097e03d4c24bad0c91482619c408b9b9588b5474 SHA512 c51fa5eca92a16c41678eef37c3e33c6ea7f61ad881dd309548b83bafa3fedf191afc324437863dcf1a35dafc512363e7588f65136c07ad8f0d51c6854da178f
+DIST qtserialport-everywhere-src-5.12.5.tar.xz 302940 BLAKE2B fdfad2cc1b9dbcef179689b938ce734a28972f9a6ac9235c8d9068cb3d2fb32ae12269d54deb7fd7b7eec0af78ae1ea8098aaa678fd48dd102243c6fa40f51be SHA512 f3a5fb8c9a9513c16f52bd22b4fd4c6400819863237762f459d9f612ef2457447733cc8ed2bd645f182ab9eab6ddb5bcdbca2fbd67745def1a5fad1392087f4e
diff --git a/dev-qt/qtserialport/qtserialport-5.12.5.ebuild b/dev-qt/qtserialport/qtserialport-5.12.5.ebuild
new file mode 100644
index 00000000000..78e261c288e
--- /dev/null
+++ b/dev-qt/qtserialport/qtserialport-5.12.5.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit qt5-build
+
+DESCRIPTION="Serial port abstraction library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ virtual/libudev:=
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # make sure we link against libudev
+ sed -i -e 's/:qtConfig(libudev)//' \
+ src/serialport/serialport-lib.pri || die
+
+ qt5-build_src_prepare
+}